Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Interface Request

All Known Implementing Classes:
  RequestImpl

public interface Request

Abstaction of an operation request on a model. The work is done by a processor that accepts the request.

Version:
  $Id: Request.java,v 1.6 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Method Summary
`void` | `addArg(java.lang.Object m)`
`boolean` | `containsParam(java.lang.String name)`
`java.util.List` | `getDataArgs()`
`Dispatcher` | `getDispatcher()`
`ModelSource` | `getModelSource()`
`java.lang.String` | `getModelURI()` Get the URI for the source for the operation - the request URI local to the webapp
`java.lang.String` | `getName()`
`java.lang.String` | `getParam(java.lang.String param)`
`java.util.Map` | `getParams()`
`Processor` | `getProcessor()`
`java.lang.String` | `getRequestURL()` The URL used in the request
`void` | `setParam(java.lang.String name, java.lang.String value)`
`void` | `setProcessor(Processor proc)`
`boolean` | `takesArg()`

Method Detail

### getName

    public java.lang.String getName()

### getModelSource

    public ModelSource getModelSource()

### getProcessor

    public Processor getProcessor()

### setProcessor

    public void setProcessor(Processor proc)

### getModelURI

    public java.lang.String getModelURI()

  Get the URI for the source for the operation - the request URI local to the webapp

  Returns:
    String

### getRequestURL

    public java.lang.String getRequestURL()

  The URL used in the request

  Returns:
    String The URL used in the request

### getDispatcher

    public Dispatcher getDispatcher()

### getParams

    public java.util.Map getParams()

### getParam

    public java.lang.String getParam(java.lang.String param)

### takesArg

    public boolean takesArg()

### addArg

    public void addArg(java.lang.Object m)

### containsParam

    public boolean containsParam(java.lang.String name)

### setParam

    public void setParam(java.lang.String name,
                         java.lang.String value)

### getDataArgs

    public java.util.List getDataArgs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.